package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.app.dto.EvaluationGroupInfo;
import com.lz.modules.flow.dao.StaffRoleEvaluationGroupMapper;
import com.lz.modules.flow.entity.StaffRole;
import com.lz.modules.flow.entity.StaffRoleEvaluationGroup;
import com.lz.modules.flow.service.StaffRoleEvaluationGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/

@Service
public class StaffRoleEvaluationGroupServiceImpl extends ServiceImpl<StaffRoleEvaluationGroupMapper, StaffRoleEvaluationGroup> implements StaffRoleEvaluationGroupService {


    @Autowired
	private StaffRoleEvaluationGroupMapper staffRoleEvaluationGroupMapper;



	@Override
	public StaffRoleEvaluationGroup selectStaffRoleEvaluationGroupById(Long id){
		return staffRoleEvaluationGroupMapper.selectStaffRoleEvaluationGroupById(id);
	}



	@Override
	public Long insertStaffRoleEvaluationGroup(StaffRoleEvaluationGroup staffRoleEvaluationGroup){
		return staffRoleEvaluationGroupMapper.insertStaffRoleEvaluationGroup(staffRoleEvaluationGroup);
	}



	@Override
	public int updateStaffRoleEvaluationGroupById(StaffRoleEvaluationGroup staffRoleEvaluationGroup){
		return staffRoleEvaluationGroupMapper.updateStaffRoleEvaluationGroupById(staffRoleEvaluationGroup);
	}



	@Override
	public int updateCoverStaffRoleEvaluationGroupById(StaffRoleEvaluationGroup staffRoleEvaluationGroup){
		return staffRoleEvaluationGroupMapper.updateCoverStaffRoleEvaluationGroupById(staffRoleEvaluationGroup);
	}



	@Override
	public int deleteStaffRoleEvaluationGroupById(Long id){
		return staffRoleEvaluationGroupMapper.deleteStaffRoleEvaluationGroupById(id);
	}

    @Override
    public List<EvaluationGroupInfo> selectStaffRoleEvaluationGroupBy(Long roleId) {
        return staffRoleEvaluationGroupMapper.selectStaffRoleEvaluationGroupBy(roleId);
    }

    @Override
    public void deleteStaffRoleEvaluationGroupByRoleId(Long roleId) {
		staffRoleEvaluationGroupMapper.deleteStaffRoleEvaluationGroupByRoleId(roleId);
    }

    @Override
    public StaffRoleEvaluationGroup selectEvaluationGroupIdsByRoleIdGroupId(Long roleId, Long groupId) {

		return staffRoleEvaluationGroupMapper.selectEvaluationGroupIdsByRoleIdGroupId(roleId,groupId);
    }

    @Override
	public List<Long> selectEvaluationGroupIdsByRoleId(Long roleId) {
		return staffRoleEvaluationGroupMapper.selectEvaluationGroupIdsByRoleId(roleId);
	}

	@Override
	public List<StaffRoleEvaluationGroup> selectStaffRoleEvaluationsGroupByStaffRoles(List<StaffRole> staffRoles){
		return staffRoleEvaluationGroupMapper.selectStaffRoleEvaluationsGroupByStaffRoles(staffRoles);
	}
}
